%global srcname astropy-helpers
%global sum Utilities for building and installing Astropy and Astropy affiliated packages

# Description for all subpackages
%global common_description                                                   \
This project provides a Python package, astropy_helpers, which includes many \
build, installation, and documentation-related tools used by the Astropy     \
project, but packaged separately for use by other projects that wish to      \
leverage this work. The motivation behind this package and details of its    \
implementation are in the accepted Astropy Proposal for Enhancement (APE) 4.

Name:           python-%{srcname}
Version:        4.0.1
Release:        %mkrel 5
Summary:        %{sum}
Group:          Sciences/Astronomy

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  gcc gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy
BuildRequires:  python3-sphinx
BuildRequires:  python3-pytest

%description
%{common_description}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-numpy
Requires:       python3-setuptools
Requires:       python3-sphinx

%description -n python3-%{srcname}
%{common_description}


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
# Tests disabled for Python3 as they are not yet ported completely
# (they require the compiler module removed in Python 3)
#%%{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 4.0.1-5.mga9
+ Revision: 1832932
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 4.0.1-4.mga9
+ Revision: 1785768
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 4.0.1-3.mga9
+ Revision: 1733721
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 4.0.1-2.mga9
+ Revision: 1732760
- Rebuild for python 3.9

* Tue Nov 03 2020 joequant <joequant> 4.0.1-1.mga8
+ Revision: 1641873
- update to 4.0.1

* Sun May 03 2020 joequant <joequant> 3.2.2-1.mga8
+ Revision: 1578513
- imported package python-astropy-helpers

